summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--net-p2p/bittornado/Manifest1
-rw-r--r--net-p2p/bittornado/bittornado-0.4.1_p20160925.ebuild43
2 files changed, 44 insertions, 0 deletions
diff --git a/net-p2p/bittornado/Manifest b/net-p2p/bittornado/Manifest
index ffeba603f01..29f9b22ae6f 100644
--- a/net-p2p/bittornado/Manifest
+++ b/net-p2p/bittornado/Manifest
@@ -1 +1,2 @@
DIST BitTornado-0.3.18.tar.gz 189227 SHA256 d9e6ad0bf5b2e9820bab809c5a4fcd94e844a57f396ac51547fe47dbe255d9e0 SHA512 61a55726d93ddb245e18e47f41dea982b8faa7d3296c3a7221d00e0fe71db772613c3ee113bb7df18390807dda8c77859ed7159a03535446ca417a1344e3c0d6 WHIRLPOOL f3393b5907a86c590e7d760760f11e8b671d90c9c8ff14d783904fce688243bd06abf46f6938fc9992f44653198eba99b062c1f19836cb4502ca9569e6b0c598
+DIST BitTornado-0.4.1_p20160925.tar.gz 164352 SHA256 e2aeb636a7ba6cfc1aecb233e611aa17d97f43d0c3381413e39c7f019f085f4d SHA512 09971cc5705c421c4440cd51b9aa37da9f8ce992a882d342c0547fe1771199fa61c4924f6d6cd321776f9dcefafd3e244b9cbfce047c4cdd4502dd0a1a1fdaaa WHIRLPOOL 4177f4dfeb2bd277bcd031ff6ca3e646a0ccb6f6af9aeb3a2def28aac269622bb60e44e9fa43bf2b0f07543214acba24cb74cfe38a5f447d53192299bd24787c
diff --git a/net-p2p/bittornado/bittornado-0.4.1_p20160925.ebuild b/net-p2p/bittornado/bittornado-0.4.1_p20160925.ebuild
new file mode 100644
index 00000000000..6b50002cc3e
--- /dev/null
+++ b/net-p2p/bittornado/bittornado-0.4.1_p20160925.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python3_{4,5,6} )
+
+inherit distutils-r1
+
+MY_PN=BitTornado
+MY_P=${MY_PN}-${PV}
+EGIT_COMMIT="ed327c4e1ebbe1fe949be81723527cfda87aeb8d"
+
+DESCRIPTION="John Hoffman's fork of the original bittorrent"
+HOMEPAGE="https://github.com/effigies/BitTornado"
+SRC_URI="https://github.com/effigies/BitTornado/archive/${EGIT_COMMIT}.tar.gz -> ${MY_P}.tar.gz"
+LICENSE="MIT"
+SLOT="0"
+
+KEYWORDS="~alpha ~amd64 ~hppa ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~x86-solaris"
+IUSE="test"
+
+RDEPEND=""
+DEPEND="test? ( dev-python/pytest[${PYTHON_USEDEP}] )"
+
+S=${WORKDIR}/${MY_PN}-${EGIT_COMMIT}
+
+python_prepare_all() {
+ # https://github.com/effigies/BitTornado/pull/53
+ sed -e 's:"BitTornado.Tracker":\0, "BitTornado.Types":' -i setup.py || die
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ py.test -v BitTornado/tests || die "tests failed with ${EPYTHON}"
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+
+ newconfd "${FILESDIR}"/bttrack.conf bttrack
+ newinitd "${FILESDIR}"/bttrack.rc bttrack
+}